package com.pcloud.book.applet.mapper;

import com.pcloud.book.applet.dto.AppletBookScoreTagInfoDTO;
import com.pcloud.book.applet.entity.AppletBookScore;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

@Mapper
@Component
public interface AppletBookScoreMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AppletBookScore record);

    int insertSelective(AppletBookScore record);

    AppletBookScore selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AppletBookScore record);

    int updateByPrimaryKey(AppletBookScore record);

    List<AppletBookScoreTagInfoDTO> listTags(@Param("wechatUserId") Long wechatUserId,
                                             @Param("bookId") Long bookId,
                                             @Param("channelId") Long channelId,
                                             @Param("adviserId") Long adviserId);
}